Bug 241951 - xorg has serious issues with openoffice.org, screen corruption, infinite loops
xorg has serious issues with openoffice.org, screen corruption, infinite loops
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-31 17:47 EDT by Carl-Johan Kjellander
Modified: 2008-01-15 09:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:40:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My xorg.conf (929 bytes, application/octet-stream)
2007-05-31 17:50 EDT, Carl-Johan Kjellander
no flags Details
X log (99.99 KB, text/plain)
2007-06-01 04:03 EDT, Carl-Johan Kjellander
no flags Details

  None (edit)
Description Carl-Johan Kjellander 2007-05-31 17:47:36 EDT
Description of problem:
First time starting oowriter or oocalc after a reboot, xorg has
serious errors. The first time stating the application the whole
screen corrupts. Switching to textmode and back fixes this.

When you open the Files menu for the first time, xorg goes into
an infinite loop and stops respoding to all input, so switching
terminals or CTRL-ART-BACKSPACE stops working. Loging in to the
machine over ssh and killing it with -9 is the only way to  get
around it.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.6.3-1.fc6
xorg-x11-server-Xorg-1.1.1-47.8.fc6
kernel-xen-2.6.19-1.2911.6.5.fc6


How reproducible:
75%

Steps to Reproduce:
1. Reboot and open oowriter or oocalc.
2. Click on File menu
  
Actual results:
Screen corruption or infinite loop.

Expected results:
No corruption, xorg should respond to input and not take
99% CPU.

Additional info:
Dual Athlon SMP board, Radeon 9200SE graphics card.

It might be an SMP issue, like something not being SMP safe in
the driver.
Comment 1 Carl-Johan Kjellander 2007-05-31 17:50:30 EDT
Created attachment 155847 [details]
My xorg.conf

I turned on a lot of options to get scrolling working
at all in firefox, and not taking 10 seconds to scroll.
Comment 2 Matěj Cepl 2007-05-31 18:22:59 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Carl-Johan Kjellander 2007-06-01 04:03:34 EDT
Created attachment 155860 [details]
X log
Comment 4 Matěj Cepl 2007-12-10 04:23:19 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 5 Matěj Cepl 2008-01-15 09:40:25 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.